package com.fr.solution.plugin.design.formula.compat;

import com.fr.general.Inter;
import com.fr.stable.ProductConstants;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-19
 */
public class DesignToolkit {

    private final static int version = Integer.parseInt(ProductConstants.MAIN_VERSION);

    public static String getLocText(String key) {
        if (version < 10) {
            return Inter.getLocText(key);
        } else {
            try {
                return (String) Class.forName("com.fr.design.i18n.Toolkit").getMethod("i18nText", new Class[]{String.class}).invoke(null, key);
            } catch (Exception ignore) {

            }
            return key;
        }
    }
}
