package com.fr.solution.plugin.design.formula.ui.type;

import com.fr.base.Parameter;
import com.fr.script.Calculator;
import com.fr.solution.plugin.design.formula.ui.evt.OperateListener;

public interface CommonEvent {

    void onDoubleClick(String currentLineContent);

    void onSingleClick();

    void applyText(String text);

    void checkContentValid();

    void onSearch();

    void setOperateListener(OperateListener listener);

    Parameter[] analyze4Parameters(Calculator calculator);
}
